## Class VOLLKREIS1

    java.lang.Object
      VOLLKREIS1

    public class VOLLKREIS1

extends java.lang.Object

Diese Klasse ist zur Erzeugung eines Kreises

Version:
  lauffähige erste Version
Author:
  Dr.-Ing. U. Kiesmüller

Constructor Summary
`VOLLKREIS1(int xStart, int yStart, int radiusStart, int farbnrStart)` Konstruktor für einen Kreis mit wählbarem Mittelpunkt und Radius sowie wählbarer Farbe

Method Summary
`int` | `gibFarbnr()` Methode zur Abfrage der Farbnummer der Kreisfarbe
`int` | `gibRadius()` Methode zur Abfrage des Kreisradius
`int` | `gibXMitte()` Methode zur Abfrage der x-Koordinate des Kreismittelpunkts
`int` | `gibYMitte()` Methode zur Abfrage der y-Koordinate des Kreismittelpunkts
`void` | `zeichne()` Methode zum Zeichnen eines Baumes

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VOLLKREIS1

    public VOLLKREIS1(int xStart,
                      int yStart,
                      int radiusStart,
                      int farbnrStart)

  Konstruktor für einen Kreis mit wählbarem Mittelpunkt und Radius sowie wählbarer Farbe

  Parameters:
    `xStart` - X-Koordinate des Kreismittelpunktes
    `yStart` - Y-Koordinate des Kreismittelpunktes
    `radiusStart` - Radius des Kreises
    `farbnrStart` - Farbnummer der Kreisfarbe

Method Detail

### gibFarbnr

    public int gibFarbnr()

  Methode zur Abfrage der Farbnummer der Kreisfarbe

  Returns:
    farbnr Farbe des Kreises

### gibRadius

    public int gibRadius()

  Methode zur Abfrage des Kreisradius

  Returns:
    radius Radius des Kreises

### gibXMitte

    public int gibXMitte()

  Methode zur Abfrage der x-Koordinate des Kreismittelpunkts

  Returns:
    xMitte X-Koordinate des Mittelpunkts

### gibYMitte

    public int gibYMitte()

  Methode zur Abfrage der y-Koordinate des Kreismittelpunkts

  Returns:
    yMitte Y-Koordinate des Mittelpunkts

### zeichne

    public void zeichne()

  Methode zum Zeichnen eines Baumes